Name:           neethi
Version:        3.0.1
Release:        2%{?dist}
Summary:        Web Services Policy framework

Group:          Development/Libraries  
License:        ASL 2.0
URL:            http://ws.apache.org/neethi/
# svn export https://svn.apache.org/repos/asf/webservices/commons/tags/neethi/neethi-3.0.1/ neethi-3.0.1
# tar cJf neethi-3.0.1.tar.xz neethi-3.0.1
Source0:        %{name}-%{version}.tar.xz
Patch0:         %{name}-disable-rat.patch
BuildArch:      noarch

BuildRequires: java-devel
BuildRequires: jpackage-utils    
BuildRequires: maven
BuildRequires: wsdl4j
BuildRequires: axiom
Requires:      java
Requires:      jpackage-utils
Requires:      wsdl4j
Requires:      axiom

%description
Apache Neethi provides general framework for the programmers to
use WS Policy. It is compliant with latest WS Policy specification
which was published in March 2006. This framework is specifically
written to enable the Apache Web services stack to use WS Policy as
a way of expressing it's requirements and capabilities.

%package javadoc
Summary:      API documentation for %{name}
Group:        Documentation
Requires:     jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
# skip tests due to requirement for old wstx
mvn-rpmbuild -D maven.test.skip=true install javadoc:javadoc

%install
install -d -m 755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
cp pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%doc README.txt RELEASE-NOTE.txt
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 16 2012 Andy Grimm <agrimm@gmail.com> - 3.0.1-1
- Initial package
